package main

import (
	"fmt"
	"net/http"
	"path"
	"strings"
)

func isV1(r *http.Request) bool {
	return strings.HasPrefix(r.URL.Path, "/v1/")
}

func (s *S) serveV1(w http.ResponseWriter, r *http.Request) error {
	switch path.Join(r.Method, r.URL.Path) {
	case "PUT/v1/state/" + s.Session(r.Context()).ID + "/party":
		return s.serveV1PutParty(w, r)
	default:
		http.NotFound(w, r)
	}
	return nil
}

func (s *S) serveV1PutParty(w http.ResponseWriter, r *http.Request) error {
	return fmt.Errorf("not impl")
}
